@import "../../../assets/styles/_colors.scss";
.customercard {
  margin: 16px 0;
  .ant-card-body {
    width: 100%;
  }
  &-img {
    display: flex;
    align-items: center;
    &-container {
      width: 56px;
      height: 56px;
      border: 2px solid $black;
      border-radius: 50%;
      overflow: hidden;
      position: relative;
      display: inline-block;
      &_main {
        min-width: 100%;
        height: 100%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        position: relative;
      }
    }
    strong {
      margin-left: 8px;
    }
  }
  &-informations {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 8px;
    span {
      display: inline-block;
      width: 30%;
    }
  }
  .ant-btn.ant-btn-circle.ant-btn-icon-only {
    border: 0 !important;
    box-shadow: none !important;
    transform: rotate(0deg);
    &.rotate {
      transform: rotate(180deg) !important;
    }
  }
  &-btns {
    display: flex;
    align-items: center;
  }
  &-table {
    overflow: hidden;
    position: relative;
    width: 100%;
    max-height: 0;
    margin-top: 16px;
    transition: all 200ms ease;
    &.active {
      height: auto;
      max-height: 1000px;
      transition: all 400ms ease;
    }
  }
}
